/*******************************************************************************
* File Name: TX_P.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TX_P_ALIASES_H) /* Pins TX_P_ALIASES_H */
#define CY_PINS_TX_P_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define TX_P_0			(TX_P__0__PC)
#define TX_P_0_PS		(TX_P__0__PS)
#define TX_P_0_PC		(TX_P__0__PC)
#define TX_P_0_DR		(TX_P__0__DR)
#define TX_P_0_SHIFT	(TX_P__0__SHIFT)
#define TX_P_0_INTR	((uint16)((uint16)0x0003u << (TX_P__0__SHIFT*2u)))

#define TX_P_INTR_ALL	 ((uint16)(TX_P_0_INTR))


#endif /* End Pins TX_P_ALIASES_H */


/* [] END OF FILE */
