/*******************************************************************************
* File Name: Port2_Link.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Port2_Link_ALIASES_H) /* Pins Port2_Link_ALIASES_H */
#define CY_PINS_Port2_Link_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Port2_Link_0			(Port2_Link__0__PC)
#define Port2_Link_0_PS		(Port2_Link__0__PS)
#define Port2_Link_0_PC		(Port2_Link__0__PC)
#define Port2_Link_0_DR		(Port2_Link__0__DR)
#define Port2_Link_0_SHIFT	(Port2_Link__0__SHIFT)
#define Port2_Link_0_INTR	((uint16)((uint16)0x0003u << (Port2_Link__0__SHIFT*2u)))

#define Port2_Link_INTR_ALL	 ((uint16)(Port2_Link_0_INTR))


#endif /* End Pins Port2_Link_ALIASES_H */


/* [] END OF FILE */
